#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "../inc/config.h"
#include "genUtil.h"
#include "String.h"
#include "File.h"
#include "Memory.h"


void
init0(largeIPInfoInfo* info)
{
    info->fptIn = NULL;    info->flagIn = 0;
    info->fptOut = stdout;    info->flagOut = 0;
    info->startx = 0;    info->flagstartx = 0;
    info->starty = 0;    info->flagstarty = 0;
    info->stepx = 1;    info->flagstepx = 0;
    info->stepy = 1;    info->flagstepy = 0;
    info->width = LARGE_IP_IMAGE_WIDTH;    info->flagwidth = 0;
    info->height = LARGE_IP_IMAGE_HEIGHT;    info->flagheight = 0;
    info->fptconfigFile = NULL;    info->flagconfigFile = 0;
    info->mode = 0;    info->flagmode = 0;
}

void
init1(largeIPInfoInfo* info)
{
    char s[1024];
    int i;
    if(!info->flagIn) {
        stringGetFromFile(s, "In", stdin, stdout, 0);
        info->In = stringGetNthWord(s, 1, " ,");
        info->flagIn++;
    }
    if(info->flagIn) {
        info->fptIn = fileOpen(info->In, "r");
    }
    
    if(info->flagOut) {
        info->fptOut = fileOpen(info->Out, "w");
    }
    
    if(info->flagstartx) {
    }
    
    if(info->flagstarty) {
    }
    
    if(info->flagstepx) {
    }
    
    if(info->flagstepy) {
    }
    
    if(info->flagwidth) {
    }
    
    if(info->flagheight) {
    }
    
    if(info->flagconfigFile) {
        info->fptconfigFile = fileOpen(info->configFile, "r");
    }
    
    if(info->flagmode) {
    }
    
}
